Create an appointment object
POST/calendar-backend/api/v1/appointments
Create an appointment object. The Appointment is written "as-is" to the database, no checks are performed whether a resource actually can handle the appointment at the given time, if there is a capacity at the given time etc. For properly managed Appointment creation, please use the PubBranchEndpoint (aka public API) instead.
Example of usage:
curl -u user:password -i -X POST -H 'content-type:application/json' -d '{"start":"YYYY-MM-DDTHH:MM:SS","end":"YYYY-MM-DDTHH:MM:SS","branch":{"{branchId}":1}}' http://orchestra-ip:orchestra-port/calendar-backend/api/v1/appointments
Request
Responses
- 201
A Json object of com.qmatic.qp.calendar.rest.dto.AppointmentDTO